Elementary Config
Elementary

Elementary configuration is formed by a set options bounded to a given Elementary Profile, like Theme, finger size, etc. More...

## Functions

Eina_Bool | elm_config_save (void)
| Save back Elementary's configuration, so that it will persist on future sessions.
void | elm_config_reload (void)
| Reload Elementary's configuration, bounded to current selected profile.
void | elm_config_all_flush (void)
| Flush all config settings then apply those settings to all applications using elementary on the current display.

## Detailed Description

Elementary configuration is formed by a set options bounded to a given Elementary Profile, like Theme, finger size, etc.

These are functions with which one synchronizes changes made to those values to the configuration storing files, de facto. You most probably don't want to use the functions in this group unless you're writing an elementary configuration manager.

## Function Documentation

## elm_config_save()

Eina_Bool elm_config_save | ( | void |  | ) |

Save back Elementary's configuration, so that it will persist on future sessions.

Returns
  `EINA_TRUE`, when successful. `EINA_FALSE`, otherwise.

This function will take effect – thus, do I/O – immediately. Use it when you want to save all configuration changes at once. The current configuration set will get saved onto the current profile configuration file.

Referenced by elm_config_all_flush().

## elm_config_reload()

void elm_config_reload | ( | void |  | ) |

Reload Elementary's configuration, bounded to current selected profile.

Returns
  `EINA_TRUE`, when successful. `EINA_FALSE`, otherwise.

Useful when you want to force reloading of configuration values for a profile. If one removes user custom configuration directories, for example, it will force a reload with system values instead.